# Interface Method

This type represents a contract method or constructor. Note that it's not a method for a specific instance, so there's no address field.

#### Category

Interfaces

#### Hierarchy

- Method

- Defined in codec/lib/wrap/types.ts:20

#####
Index

### Properties

abi
inputs
name?
selector

## Properties

### abi

abi: FunctionEntry | ConstructorEntry

The ABI entry for the method.

- Defined in codec/lib/wrap/types.ts:37

### inputs

inputs: OptionallyNamedType[]

The types of the inputs (each of which may optionally have a name).

- Defined in codec/lib/wrap/types.ts:33

### `Optional` name

name?: string

The method name; omitted for constructors.

- Defined in codec/lib/wrap/types.ts:24

### selector

selector: string

The method selector; for a constructor, this is instead the (linked) constructor bytecode.

- Defined in codec/lib/wrap/types.ts:29

Generated using TypeDoc